%global api		1.0
%define libname		%mklibname %{name}

%global __provides_exclude_from ^%{_libdir}/dleyna-%{api}/connectors/.*\\.so$

Name:		dleyna-connector-dbus
Version:	0.4.1
Release:	%mkrel 1
Summary:	D-Bus connector for dLeyna services
Group:		System/Libraries
License:	LGPLv2
URL:		https://github.com/phako/dleyna-connector-dbus
Source0:	https://github.com/phako/dleyna-connector-dbus/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	meson
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(dleyna-core-1.0)
BuildRequires:	pkgconfig(glib-2.0)

%description
D-Bus connector for dLeyna services.


%package -n %{libname}
Summary:	D-Bus connector for dLeyna services
Group:		System/Libraries
Obsoletes:	%{_lib}dleyna-connector-dbus-devel < 0.4.1

%description -n %{libname}
D-Bus connector for dLeyna services.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%files -n %{libname}
%license COPYING
%doc AUTHORS ChangeLog README*
%dir %{_libdir}/dleyna-%{api}/
%dir %{_libdir}/dleyna-%{api}/connectors/
%{_libdir}/dleyna-%{api}/connectors/libdleyna-connector-dbus.so


%changelog
* Mon Sep 19 2022 wally <wally> 0.4.1-1.mga9
+ Revision: 1890474
- new version 0.4.1 from new github fork
- drop unneeded devel pkg
- switch to meson build

* Thu Mar 31 2022 umeabot <umeabot> 0.3.0-3.mga9
+ Revision: 1837627
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 0.3.0-2.mga8
+ Revision: 1523863
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Mar 14 2019 daviddavid <daviddavid> 0.3.0-1.mga7
+ Revision: 1376625
- new version: 0.3.0

* Sun Sep 23 2018 umeabot <umeabot> 0.2.0-3.mga7
+ Revision: 1297459
- Mageia 7 Mass Rebuild

* Sun Feb 14 2016 umeabot <umeabot> 0.2.0-2.mga6
+ Revision: 959955
- Mageia 6 Mass Rebuild

* Sun Nov 16 2014 cjw <cjw> 0.2.0-1.mga5
+ Revision: 797592
- set RPM groups
- finalize module package
- move docs to devel package
- imported package dleyna-connector-dbus


* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Jan 15 2014 Bastien Nocera <bnocera@redhat.com> 0.2.0-1
- Update to 0.2.0

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 09 2013 Debarshi Ray <rishi@fedoraproject.org> - 0.1.0-3
- Filter out the connector plugin from provides.

* Sun Jul 07 2013 Debarshi Ray <rishi@fedoraproject.org> - 0.1.0-2
- Use %%global instead of %%define.
- Own %%{_libdir}/dleyna-%%{api} and %%{_libdir}/dleyna-%%{api}/connectors.

* Wed Jun 26 2013 Debarshi Ray <rishi@fedoraproject.org> - 0.1.0-1
- Initial spec.
